from distutils.core import setup
from DistUtilsExtra.distutils_extra import build_extra, build_l10n
import glob


setup(
    name = 'ubuntustudio-look',
    version = '0.2',
    data_files=[('share/backgrounds/', ['ubuntu-media-v2-2560x1600.png']),
                ('share/backgrounds/', ['UbuntuStudio_Gray.png']), 
                ('share/pixmaps/splash', ['splash_US.png']),
                ('share/themes/UbuntuStudio/metacity-1', glob.glob('metacity-1/*.png')+glob.glob('metacity-1/*.xml')),
                ('share/themes/UbuntuStudio/gtk-2.0', ['gtk-2.0/gtkrc']),
		('share/themes/UbuntuStudio/gtk-2.0/panel', glob.glob('gtk-2.0/panel/panel.*')),
                ('share/gdm/themes/UbuntuStudio', glob.glob('gdm/*.jpg')+glob.glob('gdm/*.svg')+glob.glob('gdm/*.png')+glob.glob('gdm/*.xml')),
		('share/gdm/themes/UbuntuStudio/gtk-2.0', ['gdm/gtk-2.0/gtkrc']),
		('share/ubuntustudio-look', ['gdm-cdd.conf'])
               ],
    cmdclass = { "build" : build_extra,
                 "build_l10n" :  build_l10n }
)

